Echo
Date: 2019-10-22

org.jmol.shape

## Class Echo

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shape.TextShape
    - - org.jmol.shape.Echo

-     public class Echo
      extends TextShape

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static short` | `COLOR`
    `private static java.lang.String` | `FONTFACE`
    `private static int` | `FONTSIZE`

    - ### Fields inherited from class org.jmol.shape.TextShape

      `currentBgColor, currentBgTranslucentLevel, currentColor, currentFont, currentObject, currentTranslucentLevel, isAll, isHover, objects, thisID`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Echo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getPropertyData(java.lang.String property, java.lang.Object[] data)`
    `java.lang.Object` | `getShapeDetail()`
    `void` | `initShape()`
    `void` | `setProperty(java.lang.String propertyName, java.lang.Object value, javajs.util.BS bs)`

    - ### Methods inherited from class org.jmol.shape.TextShape

      `checkObjectClicked, checkObjectHovered, getShapeState, initModelSet, setModelVisibilityFlags, setPropTS`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectDragged, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropShape, getSize, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setAtomClickability, setModelSet, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FONTFACE

          private static final java.lang.String FONTFACE

      See Also:
        Constant Field Values

    - #### FONTSIZE

          private static final int FONTSIZE

      See Also:
        Constant Field Values

    - #### COLOR

          private static final short COLOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Echo

          public Echo()

  - ### Method Detail

    - #### initShape

          public void initShape()

      Specified by:
        `initShape` in class `Shape`

    - #### setProperty

          public void setProperty(java.lang.String propertyName,
                                  java.lang.Object value,
                                  javajs.util.BS bs)

      Specified by:
        `setProperty` in class `Shape`

    - #### getPropertyData

          public boolean getPropertyData(java.lang.String property,
                                         java.lang.Object[] data)

      Overrides:
        `getPropertyData` in class `Shape`
      Returns:
        true if serviced

    - #### getShapeDetail

          public java.lang.Object getShapeDetail()

      Overrides:
        `getShapeDetail` in class `Shape`